Bug 198209 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 10:27 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 07:36:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 10:27:32 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r


undefined symbol: gnome_vfs_mime_application_launch     (/usr/lib/libgnomebt.so)
undefined symbol: g_strdup_printf       (/usr/lib/libgnomebt.so)
undefined symbol: gconf_client_all_entries      (/usr/lib/libgnomebt.so)
undefined symbol: gtk_icon_theme_load_icon      (/usr/lib/libgnomebt.so)
undefined symbol: g_strcasecmp  (/usr/lib/libgnomebt.so)
undefined symbol: gtk_object_get_type   (/usr/lib/libgnomebt.so)
undefined symbol: btctl_controller_get_type     (/usr/lib/libgnomebt.so)
undefined symbol: gtk_scrolled_window_get_type  (/usr/lib/libgnomebt.so)
undefined symbol: gtk_icon_theme_get_default    (/usr/lib/libgnomebt.so)
undefined symbol: gtk_toggle_button_get_active  (/usr/lib/libgnomebt.so)
undefined symbol: gtk_scrolled_window_new       (/usr/lib/libgnomebt.so)
undefined symbol: gtk_misc_set_alignment        (/usr/lib/libgnomebt.so)
...
...
Comment 1 Harald Hoyer 2007-01-31 06:46:16 EST
fixed in rawhide?
Comment 2 Karsten Hopp 2007-01-31 07:22:33 EST
different undefined symbols now in gnome-bluetooth-libs-0.8.0-2.fc7
undefined symbol: PyExc_ImportError    
(/usr/lib/python2.5/site-packages/gnomebt/chooser.so)
undefined symbol: PyExc_RuntimeError   
(/usr/lib/python2.5/site-packages/gnomebt/chooser.so)
undefined symbol: _Py_NoneStruct       
(/usr/lib/python2.5/site-packages/gnomebt/chooser.so)
undefined symbol: PyCObject_Type       
(/usr/lib/python2.5/site-packages/gnomebt/chooser.so)
undefined symbol: PyErr_Occurred       
(/usr/lib/python2.5/site-packages/gnomebt/chooser.so)
undefined symbol: PyArg_ParseTupleAndKeywords  
(/usr/lib/python2.5/site-packages/gnomebt/chooser.so)
Comment 3 Harald Hoyer 2007-01-31 07:36:53 EST
python module dlopened

Note You need to log in before you can comment on or make changes to this bug.